Avro C#

Public Member Functions | Static Public Attributes | List of all members
Avro.Util.LocalTimestampMicrosecond Class Reference

The 'local-timestamp-micros' logical type. More...

Inheritance diagram for Avro.Util.LocalTimestampMicrosecond:

## Public Member Functions
| LocalTimestampMicrosecond ()
| Initializes a new LocalTimestampMicrosecond logical type. More...
override void | ValidateSchema (LogicalSchema schema)
override object | ConvertToBaseValue (object logicalValue, LogicalSchema schema)
override object | ConvertToLogicalValue (object baseValue, LogicalSchema schema)
Public Member Functions inherited from Avro.Util.LogicalUnixEpochType< DateTime >
override Type | GetCSharpType (bool nullible)
override bool | IsInstanceOfLogicalType (object logicalValue)

## Static Public Attributes
static readonly string | LogicalTypeName = "local-timestamp-micros"
| The logical type name for LocalTimestampMicrosecond. More...

## Additional Inherited Members
Protected Member Functions inherited from Avro.Util.LogicalUnixEpochType< DateTime >
| LogicalUnixEpochType (string name)
| Initializes the base logical type. More...
Static Protected Attributes inherited from Avro.Util.LogicalUnixEpochType< DateTime >
static readonly DateTime | UnixEpochDateTime
| The date and time of the Unix Epoch. More...
const long | TicksPerMicrosecond
| Number of ticks per microsecond. More...

## Detailed Description

The 'local-timestamp-micros' logical type.

## Constructor & Destructor Documentation

## ◆ LocalTimestampMicrosecond()

Avro.Util.LocalTimestampMicrosecond.LocalTimestampMicrosecond | ( |  | ) |
| inline

Initializes a new LocalTimestampMicrosecond logical type.

## Member Data Documentation

## ◆ LogicalTypeName

readonly string Avro.Util.LocalTimestampMicrosecond.LogicalTypeName = "local-timestamp-micros"
| static

The logical type name for LocalTimestampMicrosecond.

The documentation for this class was generated from the following file:

- src/apache/main/Util/LocalTimestampMicrosecond.cs